Package com.sun.grid.jsv

## Interface Jsv

- All Known Implementing Classes:
    `SimpleJsv`

      public interface Jsv

  The Jsv interface is implemented by any class that will be used as a JSV. The interface defines the callback methods used by the JsvManager class to trigger the steps of job verification.
  Since:
    6.2u5
  See Also:
    `JsvManager`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onStart​(JsvManager jsv)` | This method is called to start the job verification process.
    `void` | `onVerify​(JsvManager jsv)` | This method is called to trigger the job verification step.

- - ### Method Detail

    - #### onStart

          void onStart​(JsvManager jsv)

      This method is called to start the job verification process. In general, the most common use for this method is to call the JsvManager.requestEnvironment() method.
      Parameters:
        `jsv` -
      See Also:
        `JsvManager.requestEnvironment(boolean)`

    - #### onVerify

          void onVerify​(JsvManager jsv)

      This method is called to trigger the job verification step. This method is used by the Jsv implementation to accept, modify, or reject the job. Information about the job being verified is available from the JobDescription instance retrieved from the JsvManager.getJobDescription() method. Changes made to the JobDescription instance will be propagated to the JSV framework. Before this method returns, it should call one of the result methods on the JsvManager instance, accept(), modify(), reject(), rejectWait(), or setResult(). If none is called, the job will be implicitly accepted or modified as appropriate.
      Parameters:
        `jsv` -
      See Also:
        `JsvManager.getJobDescription()`, `JsvManager.accept(java.lang.String)`, `JsvManager.modify(java.lang.String)`, `JsvManager.reject(java.lang.String)`, `JsvManager.rejectWait(java.lang.String)`, `JsvManager.setResult(com.sun.grid.jsv.JsvManager.Result, java.lang.String)`